SDL_AttachVirtualJoystick(3)

NAME
SDL_AttachVirtualJoystick - Attach a new virtual joystick.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

SDL_JoystickID SDL_AttachVirtualJoystick(SDL_JoystickType type,
                              int naxes,
                              int nbuttons,
                              int nhats);

FUNCTION PARAMETERS

type
    type of joystick

naxes
    number of axes

nbuttons
    number of buttons

nhats
    number of hats

RETURN VALUE
Returns the joystick instance ID, or 0 if an error occurred; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_AttachVirtualJoystickEx(3), SDL_DetachVirtualJoystick(3)